unit UnitDefs;

interface
Uses Windows;

Const DLLName = 'S485IIC.DLL';
      MSGReadI2CTOut   = $01;
      MSGWriteI2CTOut  = $02;
      MSGReadResponse  = $03;
      MSGWriteResponse = $04;
      MSGIO1           = $05;
      MSGIO2           = $06;
      MSGSCLFreq       = $07;
      MSGSCLChange     = $08;
      MSGComOpen       = $09;
      MSGComClose      = $0A;
      MSGDVer          = $0B;
      MSGCSlave        = $0C;
      MSGCSErr         = $0D;
      MSGIO            = $0E;
      MSGUnknownCMD    = $FF;

Type TI2CData = Record
       iDIP    : Byte;
       iSlvAdr : Byte;
       iData   : Array[0..127] OF Byte;
       iLen    : Byte;
     end;


function SerI2CCreate : Cardinal; stdcall; external DLLName;
Function SerI2CDestroy : Byte; external DLLName;
function SetReadTOut(TiOut : Word): Word; stdcall; external DLLName;
function GetReadTOut : Word; stdcall; external DLLName;
function GetWriteTOut : Word; stdcall; external DLLName;
function SetWriteOut(TiOut : Word): Word; stdcall; external DLLName;
Function Connect(State : Byte) : Byte; stdcall; external DLLName;
Function IsConnected : Byte; stdcall; external DLLName;
function GetComPort : Word; stdcall; external DLLName;
Function SetComPort(COMNr : Word) : Word; stdcall; external DLLName;
function ReadI2C(pConAdr, SlvAdr, Cnt : Byte) : Byte; stdcall; external DLLName;
function WriteI2C(pConAdr, SlvAdr : Byte; iData: Array of Byte): Byte; stdcall;  external DLLName;
function WriteI2CPCHAR(pConAdr, pSlvAdr : Byte; pcData : PChar) : Byte; stdcall; external DLLName;
function GetI2CData : TI2CData; stdcall; external DLLName;
function SetSCLCLK(pConAdr : Byte; SCLCLK : Word) : Byte; stdcall; external DLLName;
function ReSetIO(pConAdr, Pin, State : Byte) : Byte; stdcall; external DLLName;
function GetVersion : PChar; stdcall; stdcall; external DLLName;
function RequestIO(pConAdr : Byte) : Byte;  external DLLName;
function RequestVersion(pConAdr : Byte) : Byte; stdcall; external DLLName;
function RequestSCLFreq(pConAdr : Byte) : Byte; stdcall; external DLLName;
function CheckSlvAdr(pConAdr, pSlvAdr : Byte) : Byte; stdcall; external DLLName;

Var  wPrivateMsg : Cardinal;
     I2CData     : TI2CData;
     SlvAdr      : Byte;
     DIPSwitch   : Byte;

implementation

end.
